# $Revision: 1.45 $, $Date: 2005/06/14 18:12:50 $
%define		ver	0.98
Summary:	An X Window System based tool for creating CDs
Summary(es):	Herramienta grfica para crear CDs
Summary(pl):	Narzdzie pod X do nagrywania pyt CD
Summary(pt_BR):	Ferramenta grfica para criao de CDs
Name:		xcdroast
Version:	%{ver}alpha15
Release:	6
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	2a9c1d9f2ef58713c453e674b989be3e
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-desktop.patch
URL:		http://www.xcdroast.org/
BuildRequires:	XFree86-devel
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
Requires:	cdrtools >= 2.01a18
Requires:	cdrtools-cdda2wav >= 2.01a18
Requires:	cdrtools-mkisofs >= 2.01a18
Requires:	cdrtools-readcd >= 2.01a18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir	%{_prefix}/lib

%description
X-CD-Roast provides a GUI interface for commands like cdrecord and
mkisofs. X-CD-Roast includes a self-explanatory X11 user interface,
automatic SCSI and IDE hardware setup, support for mastering of new
ISO9660 data CDs, support for production of new audio CDs, fast
copying of CDs without hard disk buffering, and a logfile option.

%description -l es
X-CD-Roast suministra una interfaz grfica para las rdenes mkisofs y
cdrecord. Su interfaz es autoexplicativa. Proporciona deteccin
automtica del hardware SCSI y IDE, soporte para crear nuevos CDs de
datos ISO9660, soporte para produccin de CDs de sonido, copia rpida
de CDs sin grabacin en el discoduro y opcin para generar archivo de
log.

%description -l pl
X-CD-Roast dostarcza graficznego interfejsu do komend takich jak
cdrecord oraz mkisofs. X-CD-Roast zawiera samo-wyjaniajcy si
interfejs uytkownika pod X11, automatyczn konfiguracj urzdze SCSI
oraz IDE itp.

%description -l pt_BR
O X-CD-Roast fornece uma interface grfica para os comandos mkisofs e
cdrecord. Sua interface  auto-explicativa. Prov deteco automtica
do hardware SCSI e IDE, suporte para criar novos CDs de dados ISO9660,
suporte para produo de CDs de udio, cpia rpida de CDs sem
gravao no disco rgido e opo para gerar arquivo de log.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

sed -e 's/zh_TW\.Big5/zh_TW/;s/zh_CN\.GB2312/zh_CN/;s/\<no\>/nb/;s/el_GR/el/;s/sq_AL/sq/' \
	po/LINGUAS > l.tmp
mv -f l.tmp po/LINGUAS
mv -f po/{zh_TW.Big5,zh_TW}.po
mv -f po/{zh_CN.GB2312,zh_CN}.po
mv -f po/{no,nb}.po
mv -f po/{el_GR,el}.po
mv -f po/{sq_AL,sq}.po

%build
cp -f /usr/share/automake/config.* .
%configure \
	--enable-gtk2

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install extra/%{name}.desktop $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog README doc/*
%attr(755,root,root) %{_bindir}/*
%dir %{_ulibdir}/%{name}-%{ver}
%dir %{_ulibdir}/%{name}-%{ver}/bin
%attr(755,root,root) %{_ulibdir}/%{name}-%{ver}/bin/cddbtool
%attr(755,root,root) %{_ulibdir}/%{name}-%{ver}/bin/rmtool
%attr(755,root,root) %{_ulibdir}/%{name}-%{ver}/bin/vrfytool
%attr(755,root,root) %{_ulibdir}/%{name}-%{ver}/bin/wavplay
%attr(755,root,root) %{_ulibdir}/%{name}-%{ver}/bin/xcdrwrap
%{_ulibdir}/%{name}-%{ver}/icons
%{_ulibdir}/%{name}-%{ver}/sound
%{_desktopdir}/%{name}.desktop
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xcdroast.spec,v $
Revision 1.45  2005/06/14 18:12:50  charles
- category DiscBurning moved from Utility to AudioVideo
- rel. 6, STBR

Revision 1.44  2004/11/23 11:28:46  paladine
- rel 5 for fixed desktop patch

Revision 1.43  2004/09/20 22:24:15  ankry
- rel. 4

Revision 1.42  2004/02/01 01:31:44  qboosh
- release 3

Revision 1.41  2004/02/01 01:28:34  qboosh
- we can use ulibdir in application

Revision 1.40  2004/02/01 01:23:40  qboosh
- refresh config.sub for amd64

Revision 1.39  2004/02/01 01:02:35  qboosh
- standardize locale dir names; release 2

Revision 1.38  2003/11/21 11:21:32  tiwek
- added missing BR

Revision 1.37  2003/10/31 11:14:02  grzegol
- updated to 0.98alpha15
- removed outdated cdrtools_201a18 and error_write_tracks patches
- enabled gtk+2

Revision 1.36  2003/09/22 18:34:51  havner
- added missing "/" in desktopdir line

Revision 1.35  2003/09/06 20:28:04  adgor
- Desktop file moved to %%{_desktopdir}

Revision 1.34  2003/08/27 16:16:24  grzegol
- added error_write_tracks patch
- rel. 3

Revision 1.33  2003/08/03 22:31:55  grzegol
- R: cdrtools* >= 2.01a18

Revision 1.32  2003/08/01 13:59:44  grzegol
- added cdrtools_201a18 patch (fix for cdrtools-2.01a18)
- rel. 2

Revision 1.31  2003/06/05 21:12:02  adgor
- Removed obsoleted %%pre, BR, attr

Revision 1.30  2003/06/05 20:25:12  krolik

- updated to 0.98alpha14
- removed useless use_cdwrite_group patch

Revision 1.29  2003/05/25 11:01:35  malekith
- massive attack, adding Source-md5

Revision 1.28  2003/05/25 06:28:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/03/13 11:23:42  qboosh
- working Source URL, minor fixed where needed

Revision 1.26  2003/02/07 12:09:35  adgor
- Removed two lines with define :))
- Fixed desktop.patch
- Simplified %%build
- Release 2

Revision 1.25  2003/01/02 19:23:31  aflinta
- updated to version 0.98alpha13

Revision 1.24  2002/12/24 22:31:21  grzegol
- updated to 0.98alpha12
- removed outdated orto patch

Revision 1.23  2002/12/03 14:26:26  leafnode
- Added patch correcting very bad mistake.

Revision 1.22  2002/11/27 14:30:02  aflinta
- removed obsoleted sources

Revision 1.21  2002/11/27 14:08:30  pascalek
- updated to 0.98alpha11

Revision 1.20  2002/11/17 22:08:31  adgor
- Added use_cdwrite_group.patch
- Removed %postun (cdwrite group will be added to /etc/group in setup package
  - so shouldn't be removable)
- Release 7

Revision 1.19  2002/10/20 20:22:28  qboosh
- added Requires(pre,postun)

Revision 1.18  2002/10/19 22:41:26  grzegol
- groupadd cdwrite should be in %%pre, no in %%clean
- added groupdel cdwrite in %%postun
- fixed icon name in desktop file
- added manpage to %%files
- rel. 6

Revision 1.17  2002/10/08 12:04:12  mick3y
- group cdwrite for xcdwrapper

Revision 1.16  2002/10/05 11:24:06  adasi
  - xcdroast-home_etc.patch is back, fixed, should be working,

Revision 1.15  2002/10/05 11:05:01  aflinta
- kicked out broken home_etc patch

Revision 1.14  2002/06/04 04:42:20  pascalek
- Release 2
- home_etc patch added
- setting CDRTOOLS_PREFIX to allow xcdroast to find our cdrtools

Revision 1.13  2002/05/30 11:59:14  kloczek
- removed imlib-devel and libpng-devel from BuildRequires,
- use new %doc,
- replace xpm Icon by png in in desktp file,
- merge translations from Conectiva.

Revision 1.12  2002/05/30 10:51:21  ggodlewski
- added BuildRequires gdk-pixbuf-devel

Revision 1.11  2002/04/25 15:33:43  aflinta
- added desktop file and icon
- release 1 STBR and Burn baby, burn!

Revision 1.10  2002/04/24 22:44:18  aflinta
 - started update to version 0.98alpha10, works fine, but needs
   some updates in %files, docs and so on

Revision 1.9  2002/02/22 23:30:01  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:15:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/07/24 00:44:58  kloczek
- other typo.

Revision 1.6  2001/07/24 00:15:08  kloczek
- typos.

Revision 1.5  2001/07/23 18:35:51  kloczek
- added missing %directories to %files list.

Revision 1.4  2001/07/23 12:38:20  pascalek
- update to 0.98alpha9

Revision 1.3  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.2  2000/12/05 20:04:27  misiek
updated to alhpa8

Revision 1.1  2000/10/30 00:29:11  pascalek
- initial release (based on rh spec)
